# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'NetMon/version'

Gem::Specification.new do |spec|
  spec.name          = "NetMon"
  spec.version       = NetMon::VERSION
  spec.authors       = ["Zshawn Syed"]
  spec.email         = ["zsyed91@gmail.com"]

  spec.summary       = "Ruby network monitor. Contains heart beats to ensure internet connectivity, speed, and more."
  spec.description   = 'Ruby network health monitor. Contains heart beats to ' \
                       'ensure internet connectivity. Checks LAN health and ' \
                       'internet speeds'
  spec.homepage      = 'https://github.com/zsyed91/netmon'
  spec.license       = "MIT"


  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
